Notify signed upload complete
curl --request POST \
--url https://api.viddyscribe.com/enterprise/api/notify_upload_complete \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"media_id": "550e8400-e29b-41d4-a716-446655440000",
"gcs_path": "users/user_123/videos/video.mp4"
}
'import requests
url = "https://api.viddyscribe.com/enterprise/api/notify_upload_complete"
payload = {
"media_id": "550e8400-e29b-41d4-a716-446655440000",
"gcs_path": "users/user_123/videos/video.mp4"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
media_id: '550e8400-e29b-41d4-a716-446655440000',
gcs_path: 'users/user_123/videos/video.mp4'
})
};
fetch('https://api.viddyscribe.com/enterprise/api/notify_upload_complete', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "accepted",
"media_id": "550e8400-e29b-41d4-a716-446655440000"
}{
"error": "invalid_input",
"message": "video_id is required"
}{
"error": "invalid_input",
"message": "video_id is required"
}{
"error": "invalid_input",
"message": "video_id is required"
}{
"error": "invalid_input",
"message": "video_id is required"
}Media
Notify signed upload complete
Signal that the client has finished uploading bytes to a signed upload URL returned by /enterprise/api/upload_media.
This starts asynchronous verification so the media can be used for generation.
POST
/
enterprise
/
api
/
notify_upload_complete
Notify signed upload complete
Usage Example
Call this after uploading bytes to theupload_url returned by upload_media with input.type: "signed_url".
curl -X POST https://api.viddyscribe.com/enterprise/api/notify_upload_complete \
-H "X-API-Key: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"media_id": "550e8400-e29b-41d4-a716-446655440000",
"gcs_path": "users/user_123/videos/video.mp4"
}'
Authorizations
API key for authentication. Obtain from your team admin.
Example: X-API-Key: vsk_abc123def456ghi789jkl012mno345pqr678stu901vwx234yz
Body
application/json
⌘I

